Skip site navigation (1) Skip section navigation (2)

Re: building Postgresql 7.3.10 on Mac OS X 10.4

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: "Peter Bazeley" <pbazeley(at)meduohio(dot)edu>
Cc: pgsql-bugs(at)postgresql(dot)org
Subject: Re: building Postgresql 7.3.10 on Mac OS X 10.4
Date: 2005-10-13 15:42:52
Message-ID: 22740.1129218172@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-bugs
"Peter Bazeley" <pbazeley(at)meduohio(dot)edu> writes:
> I am trying to build Postgresql 7.3.10 on Mac OS X 10.4 and am getting a =
> couple errors related to bootstrap libraries. These are occuring during =
> make -C bootstrap all. Here is the output:=20
> make -C bootstrap all=20
> gcc -traditional-cpp -g -O2 -fno-strict-aliasing -Wall -Wmissing-prototypes=
>  -Wmissing-declarations -I. -I../../../src/include -I/sw/include/  -c -o =

For more recent versions of OS X (since 10.2 I think), you need
-no-cpp-precomp instead of -traditional-cpp.  PG 7.3.* is too old to
know about that ... you can probably fix this in src/template/darwin,
but it may not be the last such gotcha.  Are you sure you want such an
old PG version?  I'd currently recommend the 8.0 branch for production
and 8.1 for development.

			regards, tom lane

In response to

pgsql-bugs by date

Next:From: Michael FuhrDate: 2005-10-13 15:49:20
Subject: Re: BUG #1962: ECPG and VARCHAR
Previous:From: Tom LaneDate: 2005-10-13 15:36:55
Subject: Re: BUG #1956: Plpgsql top-level DECLARE does not share scope

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group